#perl-MIME-Base64.spec
%define name perl-MIME-Base64
%define real_name MIME-Base64
%define version 2.12
%define release 6

Summary: 	Perl module for MIME encoding/decoding (base64 and quoted-printable)
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL or Artistic
Group: 		System Environment/Libraries
Buildroot: 	%{_tmppath}/%{name}-buildroot
Source: 	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/MIME/%{real_name}-%{version}.tar.bz2
Requires:	perl >= 5.6.0

%description
This package contains a base64 encoder/decoder and a quoted-printable
encoder/decoder.  These encoding methods are specified in RFC 2045 -
MIME (Multipurpose Internet Mail Extensions).

The Base64 encoding is designed to represent arbitrary sequences of
octets in a form that need not be humanly readable. A 65-character
subset ([A-Za-z0-9+/=]) of US-ASCII is used, enabling 6 bits to be
represented per printable character.

The quoted-printable encoding is intended to represent data that
largely consists of bytes that correspond to printable characters in
the ASCII character set.  Non-printable characters are represented by
a triplet consisting of the character "=" followed by two hexadecimal
digits.

The MIME::Base64 and MIME::QuotedPrint modules used to be part of
libwww-perl package.  They are now distributed separately (as this
package).  The main improvement is that the base64 encoder/decoder is
implemented by XS functions.  This makes it about 20 times faster than
the old implementation as pure Perl.

%prep
%setup -q -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix}
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT%{_prefix}

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/*/*
%{_prefix}/lib/perl5/site_perl/*/*/MIME/*.pm
%{_prefix}/lib/perl5/site_perl/*/*/auto/MIME/Base64/Base64.so


%changelog
* Thu Jul 19 2001 Crutcher Dunnavant <crutcher@redhat.com> 2.12-5
- fix .so inclusion

* Thu Jul 18 2001 Crutcher Dunnavant <crutcher@redhat.com> 2.12-4
- imported from mandrake. tweaked paths.

* Wed Jun 20 2001 Christian Belisle <cbelisle@mandrakesoft.com> 2.12-3mdk
- Fixed distribution tag
- Needed by eGrail

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.12-2mdk
- Rebuild against the latest perl.

* Tue Feb 27 2001 Franois Pons <fpons@mandrakesoft.com> 2.12-1mdk
- 2.12.

* Tue Aug 29 2000 Franois Pons <fpons@mandrakesoft.com> 2.11-6mdk
- build release.

* Thu Aug 03 2000 Franois Pons <fpons@mandrakesoft.com> 2.11-5mdk
- macroszifications.
- add doc.

* Fri Mar 31 2000 Pixel <pixel@mandrakesoft.com> 2.11-4mdk
- rebuild, new group, cleanup

* Thu Dec  6 1999 Jerome Dumonteil <jd@mandrakesoft.com>

- small cleaning in path variables

* Sun Dec  5 1999 Stefan van der Eijk <s.vandereijk@chello.nl>
- Changed a few instances of i386 into %%{_arch}

* Thu Dec  2 1999 Jerome Dumonteil <jd@mandrakesoft.com>

- first version of rpm.

# end of file
